Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class BaseScriptingEnvironment

    java.lang.Object
      org.apache.batik.bridge.BaseScriptingEnvironment

Direct Known Subclasses:
  ScriptingEnvironment

    public class BaseScriptingEnvironment

extends Object

This class is the base class for SVG scripting.

Nested Class Summary
`protected class` | `BaseScriptingEnvironment.Window` Represents the window object of this environment.

Field Summary
`protected static String` | `ALTERNATE_EVENT_NAME`
`protected static String` | `APPLICATION_ECMASCRIPT` The 'application/ecmascript' MIME type.
`protected BridgeContext` | `bridgeContext` The bridge context.
`protected ParsedURL` | `docPURL` The URL of the document ot manage
`protected Document` | `document` The document to manage.
`protected static String` | `EVENT_NAME`
`static String` | `EVENT_SCRIPT_DESCRIPTION` Constant used to describe inline scripts.
`static String` | `INLINE_SCRIPT_DESCRIPTION` Constant used to describe inline scripts.
`protected Interpreter` | `interpreter` The default Interpreter for the document
`protected Set` | `languages`
`protected UserAgent` | `userAgent` The user-agent.

Constructor Summary
`BaseScriptingEnvironment(BridgeContext ctx)` Creates a new BaseScriptingEnvironment.

Method Summary
`protected void` | `checkCompatibleScriptURL(String scriptType, ParsedURL scriptPURL)` Checks that the script URLs and the document url are compatible.
`Window` | `createWindow()` Creates a new Window object.
`Window` | `createWindow(Interpreter interp, String lang)` Creates a new Window object.
`protected void` | `dispatchSVGDocEvent(String eventType)`
`protected void` | `dispatchSVGLoad(Element elt, boolean checkCanRun, String lang)` Auxiliary method for dispatchSVGLoad.
`void` | `dispatchSVGLoadEvent()` Recursively dispatch the SVG 'onload' event.
`protected void` | `dispatchSVGResizeEvent()` Method to dispatch SVG Resize event.
`protected void` | `dispatchSVGScrollEvent()` Method to dispatch SVG Scroll event.
`protected void` | `dispatchSVGZoomEvent()` Method to dispatch SVG Zoom event.
`Interpreter` | `getInterpreter()` Returns the default Interpreter for this document.
`Interpreter` | `getInterpreter(String lang)`
`protected void` | `handleInterpreterException(InterpreterException ie)` Handles the given exception.
`protected void` | `handleSecurityException(SecurityException se)` Handles the given exception.
`void` | `initializeEnvironment(Interpreter interp, String lang)` Initializes the environment of the given interpreter.
`static boolean` | `isDynamicDocument(BridgeContext ctx, Document doc)` Tells whether the given SVG document is dynamic.
`static boolean` | `isDynamicElement(BridgeContext ctx, Element elt)`
`static boolean` | `isDynamicElement(Element elt, BridgeContext ctx, List bridgeExtensions)` Tells whether the given SVG element is dynamic.
`void` | `loadScripts()` Loads the scripts contained in the
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.